Subject: bug#25219: closed (Re: bug#25219: 26.0.50; ispell failing)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 18 Dec 2016 16:09:01 +0000

Your bug report

#25219: 26.0.50; ispell failing

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25219: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25219
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25219: 26.0.50; ispell failing
From: Alan Third <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 18 Dec 2016 16:08:40 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Dec 18, 2016 at 05:18:15PM +0200, Eli Zaretskii wrote:
> > From: Alan Third <[email-masked]>
> > Date: Sun, 18 Dec 2016 11:51:37 +0000
> > Cc: [email-masked]
> > 
> > > run M-x ispell-buffer
> > >
> > > watch it fail on fist word not in dictionry
> > >
> > > I use ispell before sending mail (dyslexia and sspect keyboad)
> > >
> > > een this way fo a week or so
> > 
> > It looks like this started with commit:
> > 
> > db6e1f82976a7f232a4a206a3c850ed34cfbfdd3
> > 
> > The following patch appears to fix the problem for me, but I have my
> > doubts it's the best way to handle it and I've only tested with
> > hunspell.
> > 
> > modified   lisp/textmodes/ispell.el
> > @@ -3338,7 +3338,7 @@ ispell-process-line
> >  	  ;; Markers can move with highlighting!  This destroys
> >  	  ;; end of region markers line-end and ispell-region-end
> >  	  (let ((word-start
> > -		 (copy-marker (+ ispell-start (car (cdr poss)))))
> > +		 (copy-marker (+ ispell-start -1 (car (cdr poss)))))
> >  		(word-len (length (car poss)))
> >  		(line-end (copy-marker ispell-end))
> >  		(line-start (copy-marker ispell-start))
> > 
> > Any thoughts?
> 
> We definitely need to keep the -1 offset there.  (It was previously
> supplied by ispell-offset, but that variable was deleted.)  The reason
> for the offset is that the line we send to the speller has a "^"
> prepended to it (see the documentation of the Ispell interface for the
> reason why).
> 
> Please add a comment to that effect when you commit the above.

Done.

Thanks!
-- 
Alan Third

Subject: 26.0.50; ispell failing
From: jpff <[email-masked]>
To: [email-masked]
Date: Sat, 17 Dec 2016 19:54:49 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Load a text file (I used cvte but every file I have tried failed)

run M-x ispell-buffer

watch it fail on fist word not in dictionry

I use ispell before sending mail (dyslexia and sspect keyboad)

een this way fo a week or so

In GNU Emacs 26.0.50.14 (x86_64-suse-linux-gnu, GTK+ Version 2.24.31)
 of 2016-12-17 built on birtwistle
Repository revision: b03ce060cae90836b0627e283ea563abaf3f39e9
Windowing system distributor 'The X.Org Foundation', version 11.0.11601000
System Description:	openSUSE 13.2 (Harlequin) (x86_64)

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Starting new Ispell process /usr/bin/ispell with default dictionary...
Spell-checking cv.tex using ispell with default dictionary...done
ispell-process-line: Ispell misalignment: word ‘Claverton’ point 873; probably incompatible versions
Making completion list...

Configured using:
 'configure --with-gnutls=no'

Configured features:
XPM JPEG TIFF GIF PNG SOUND GSETTINGS NOTIFY LIBXML2 FREETYPE XFT ZLIB
TOOLKIT_SCROLL_BARS GTK2 X11

Important settings:
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: @im=local
  locale-coding-system: utf-8-unix

Major mode: LaTeX

Minor modes in effect:
  shell-dirtrack-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message subr-x puny seq byte-opt gv
bytecomp byte-compile cl-extra help-mode cconv cl-loaddefs pcase cl-lib
dired dired-loaddefs format-spec rfc822 mml easymenu mml-sec
password-cache epa derived epg epg-config gnus-util rmail rmail-loaddefs
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils ispell tex-mode compile shell pcomplete comint ansi-color
ring latexenc time-date mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript case-table epa-hook jka-cmpr-hook help
simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs button
faces cus-face macroexp files text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote inotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 110726 6329)
 (symbols 48 21197 0)
 (miscs 40 47 140)
 (strings 32 22429 4603)
 (string-bytes 1 707286)
 (vectors 16 15262)
 (vector-slots 8 462613 2777)
 (floats 8 186 84)
 (intervals 56 383 0)
 (buffers 976 13)
 (heap 1024 37577 1064))